<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Class based object creation</title>
</head>

<body>
    <script>

        class CountryC {
            constructor(name, population, area) {
                this.name = name;
                this.population = population;
                this.area = area;
            }

            getDetails() {
                return `
                Name: ${this.name}
                Population: ${this.population}
                Area: ${this.area}
            `;
            }
        }

        let myGenericCountry = new CountryC('Utoopia', 123456, 9898);

        console.log(myGenericCountry);

        class RepublicC extends CountryC {
            constructor(name, population, area, president) {
                super(name, population, area);
                this.president = president;
            }

            getDetails() {
                return super.getDetails() + `
                President: ${this.president}
                `;
            }
        }

        let estonia = new RepublicC('Eesti', 1300000, 45000, 'Kersti Kaljulaid');

        console.log(estonia.getDetails());
    </script>
</body>

</html>